Bug 151030 - TG3 driver is unstable with broadcoms network card
TG3 driver is unstable with broadcoms network card
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 03:18 EST by jussi
Modified: 2015-01-04 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:17:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jussi 2005-03-14 03:18:19 EST
Description of problem:
TG3 driver does'n work well. Network dies after 12-36 hours. I can
ping from the local machine local network address (i.e. 10.10.10.10 or
127.0.0.1) successfully,  but any trafic from/to network card is
stopped. I have not found any situation what makes network die.



Version-Release number of selected component (if applicable):
filename:       /lib/modules/2.6.10-1.770_FC3smp/kernel/drivers/net/tg3.ko
author:         David S. Miller (davem@redhat.com) and Jeff Garzik
(jgarzik@pobox.com)
description:    Broadcom Tigon3 ethernet driver
license:        GPL
version:        3.14
parm:           tg3_debug:Tigon3 bitmapped debugging message enable value
version:        3.14
vermagic:       2.6.10-1.770_FC3smp SMP 686 REGPARM 4KSTACKS gcc-3.4


Network card is Broadcom NetXreme 5704 and server HP proliant 380 G4

How reproducible:


Steps to Reproduce:
1. service network load   (some times works, some times not)
2. reboot
3.
  
Actual results:


Expected results:


Additional info:

I could'n get network work properly even with Broadcoms own driver or
HP's broadcom driver. I changed to Intel's network card and e100
driver. It seems to more steabel.
Comment 1 Dave Jones 2005-07-15 16:42:34 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:17:51 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.